Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibcac

## Name

ibcac -- assert ATN (board)

## Synopsis

    #include <gpib/ib.h>

``int ibcac`(int ud, int synchronous);`

## Description

ibcac() causes the board specified by the board descriptor `ud` to become active controller by asserting the ATN line. The board must be controller-in-change in order to assert ATN. If `synchronous` is nonzero, then the board will wait for a data byte on the bus to complete its transfer before asserting ATN. If the synchronous attempt times out, or `synchronous` is zero, then ATN will be asserted immediately.

It is generally not necessary to call ibcac(). It is provided for advanced users who want direct, low-level access to the GPIB bus.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibbna | Up | ibclr